FROM golang:1.15 AS builder

RUN mkdir /data && mkdir /data/shares

ADD . /src
WORKDIR /src

ENV CGO_ENABLED=0

RUN go build .

# Actual image
FROM scratch

ENV DATA_DIR=/data/shares
ENV DATABASE=/data/ShareDAV.db

COPY --from=builder /src/ShareDAV /app/ShareDAV
COPY --from=builder /data /data

USER 1000:1000

ENTRYPOINT ["/app/ShareDAV"]
CMD ["serve"]